Package org.opencv.dnn

## Class TextDetectionModel_EAST

- java.lang.Object
- - org.opencv.dnn.Model
  - - org.opencv.dnn.TextDetectionModel
    - - org.opencv.dnn.TextDetectionModel_EAST

-     public class TextDetectionModel_EAST
      extends TextDetectionModel

  This class represents high-level API for text detection DL networks compatible with EAST model. Configurable parameters: - (float) confThreshold - used to filter boxes by confidences, default: 0.5f - (float) nmsThreshold - used in non maximum suppression, default: 0.0f

- - ### Field Summary

    - ### Fields inherited from class org.opencv.dnn.Model

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TextDetectionModel_EAST​(long addr)` |
    `` | `TextDetectionModel_EAST​(java.lang.String model)` | Create text detection model from network represented in one of the supported formats.
    `` | `TextDetectionModel_EAST​(java.lang.String model, java.lang.String config)` | Create text detection model from network represented in one of the supported formats.
    `` | `TextDetectionModel_EAST​(Net network)` | Create text detection algorithm from deep learning network

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TextDetectionModel_EAST` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `float` | `getConfidenceThreshold()` | Get the detection confidence threshold
    `float` | `getNMSThreshold()` | Get the detection confidence threshold
    `TextDetectionModel_EAST` | `setConfidenceThreshold​(float confThreshold)` | Set the detection confidence threshold
    `TextDetectionModel_EAST` | `setNMSThreshold​(float nmsThreshold)` | Set the detection NMS filter threshold

    - ### Methods inherited from class org.opencv.dnn.TextDetectionModel

      `detect, detect, detectTextRectangles, detectTextRectangles`

    - ### Methods inherited from class org.opencv.dnn.Model

      `enableWinograd, getNativeObjAddr, predict, setInputCrop, setInputMean, setInputParams, setInputParams, setInputParams, setInputParams, setInputParams, setInputParams, setInputScale, setInputSize, setInputSize, setInputSwapRB, setOutputNames, setPreferableBackend, setPreferableTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextDetectionModel_EAST

          protected TextDetectionModel_EAST​(long addr)

    - #### TextDetectionModel_EAST

          public TextDetectionModel_EAST​(Net network)

      Create text detection algorithm from deep learning network
      Parameters:
        `network` - Net object

    - #### TextDetectionModel_EAST

          public TextDetectionModel_EAST​(java.lang.String model,
                                         java.lang.String config)

      Create text detection model from network represented in one of the supported formats. An order of `model` and `config` arguments does not matter.
      Parameters:
        `model` - Binary file contains trained weights.
        `config` - Text file contains network configuration.

    - #### TextDetectionModel_EAST

          public TextDetectionModel_EAST​(java.lang.String model)

      Create text detection model from network represented in one of the supported formats. An order of `model` and `config` arguments does not matter.
      Parameters:
        `model` - Binary file contains trained weights.

  - ### Method Detail

    - #### __fromPtr__

          public static TextDetectionModel_EAST __fromPtr__​(long addr)

    - #### setConfidenceThreshold

          public TextDetectionModel_EAST setConfidenceThreshold​(float confThreshold)

      Set the detection confidence threshold
      Parameters:
        `confThreshold` - A threshold used to filter boxes by confidences
      Returns:
        automatically generated

    - #### getConfidenceThreshold

          public float getConfidenceThreshold()

      Get the detection confidence threshold
      Returns:
        automatically generated

    - #### setNMSThreshold

          public TextDetectionModel_EAST setNMSThreshold​(float nmsThreshold)

      Set the detection NMS filter threshold
      Parameters:
        `nmsThreshold` - A threshold used in non maximum suppression
      Returns:
        automatically generated

    - #### getNMSThreshold

          public float getNMSThreshold()

      Get the detection confidence threshold
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `TextDetectionModel`
      Throws:
        `java.lang.Throwable`